com.pixelmed.network

## Class ApplicationEntityConfigurationDialog

- java.lang.Object
- - com.pixelmed.network.ApplicationEntity
  - - com.pixelmed.network.ApplicationEntityConfigurationDialog

-     public class ApplicationEntityConfigurationDialog
      extends ApplicationEntity

  This class implements a dialog for users to enter DICOM AE network configuration parameters.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JTextField` | `dicomAETitleField`
    `protected javax.swing.JTextField` | `hostnameField`
    `protected java.lang.String` | `localName`
    `protected javax.swing.JTextField` | `localNameField`
    `protected javax.swing.JTextField` | `portField`

    - ### Fields inherited from class com.pixelmed.network.ApplicationEntity

      `dicomAETitle, presentationAddress, primaryDeviceType, queryModel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationEntityConfigurationDialog()` Create new AE information.
    `ApplicationEntityConfigurationDialog(java.awt.Component parent)` Create new AE information.
    `ApplicationEntityConfigurationDialog(java.awt.Component parent, java.lang.String localName)` Create new AE information.
    `ApplicationEntityConfigurationDialog(java.awt.Component parent, java.lang.String localName, ApplicationEntity ae)` Configure AE information.
    `ApplicationEntityConfigurationDialog(java.lang.String localName, ApplicationEntity ae)` Configure AE information.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doCommonConstructorStuff(java.awt.Component parent)`
    `java.lang.String` | `getLocalName()`
    `static boolean` | `isValidAETitle(java.lang.String aet)`
    `static boolean` | `isValidLocalName(java.lang.String localName)`
    `static void` | `main(java.lang.String[] arg)` Main method for testing.

    - ### Methods inherited from class com.pixelmed.network.ApplicationEntity

      `equals, getDicomAETitle, getPresentationAddress, getPrimaryDeviceType, getQueryModel, setPresentationAddress, setPrimaryDeviceType, setQueryModel, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### localName

          protected java.lang.String localName

    - #### localNameField

          protected javax.swing.JTextField localNameField

    - #### dicomAETitleField

          protected javax.swing.JTextField dicomAETitleField

    - #### hostnameField

          protected javax.swing.JTextField hostnameField

    - #### portField

          protected javax.swing.JTextField portField

  - ### Constructor Detail

    - #### ApplicationEntityConfigurationDialog

          public ApplicationEntityConfigurationDialog(java.awt.Component parent,
                                                      java.lang.String localName,
                                                      ApplicationEntity ae)

      Configure AE information.

      Parameters:
        `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
        `localName` - the local name for the AE
        `ae` - the current information whose contents are to be replaced with updated information

    - #### ApplicationEntityConfigurationDialog

          public ApplicationEntityConfigurationDialog(java.lang.String localName,
                                                      ApplicationEntity ae)

      Configure AE information.

      Parameters:
        `localName` - the local name for the AE
        `ae` - the current information whose contents are to be replaced with updated information

    - #### ApplicationEntityConfigurationDialog

          public ApplicationEntityConfigurationDialog(java.awt.Component parent,
                                                      java.lang.String localName)

      Create new AE information.

      Parameters:
        `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen
        `localName` - the local name for the AE

    - #### ApplicationEntityConfigurationDialog

          public ApplicationEntityConfigurationDialog(java.awt.Component parent)

      Create new AE information.

      Parameters:
        `parent` - the parent component (JFrame or JDialog) on which the new dialog is centered, may be null in which case centered on the screen

    - #### ApplicationEntityConfigurationDialog

          public ApplicationEntityConfigurationDialog()

      Create new AE information.

  - ### Method Detail

    - #### getLocalName

          public java.lang.String getLocalName()

    - #### isValidLocalName

          public static boolean isValidLocalName(java.lang.String localName)

    - #### isValidAETitle

          public static boolean isValidAETitle(java.lang.String aet)

    - #### doCommonConstructorStuff

          protected void doCommonConstructorStuff(java.awt.Component parent)

    - #### main

          public static void main(java.lang.String[] arg)

      Main method for testing.

      Parameters:
        `arg` - array of zero strings - no command line arguments are expected